package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employOrder.entity.EmployOrder;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface OrderService {

    //订单信息-查看订单列表
    public Result<?> queryOrderList(@RequestHeader("X-Access-Token")String token, String status, String role, PageBean pageBean);

    //订单信息-查看订单详情
    public Result<?> queryOrderById(@RequestHeader("X-Access-Token")String token, String orderId);

    //订单信息-添加订单
    public Result<?> addOrder(@RequestHeader("X-Access-Token")String token, EmployOrder employOrder);

    //订单信息-添加订单
    public Result<?> deleteOrder(@RequestHeader("X-Access-Token")String token, String orderId);

}
