import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '图片名称',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '图片内容',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '图片类型',
    align:"center",
    dataIndex: 'type_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '图片名称',
    field: 'title',
    component: 'Input',
  },
  {
    label: '图片内容',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '图片类型',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_banner_type"
     },
  },
];
